## python-numpy 1.12.1

=== debian/changelog ===
python-numpy (1:1.12.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 11 Apr 2017 12:49:47 +0200

python-numpy (1:1.12.1-2) unstable; urgency=medium

  * Team upload
  * fix linking manpage in arch-indep build (Closes: #859619)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 05 Apr 2017 12:26:43 +0200

python-numpy (1:1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #859019)
  * debian/patches/0007-BUG-fix-wrong-masked-median-for-some-special-cases.patch
    dropped, applied upstream

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 04 Apr 2017 15:08:27 +0200

python-numpy (1:1.12.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 07 Mar 2017 22:40:44 +0100

python-numpy (1:1.12.0-2) unstable; urgency=medium

  * debian/patches/0007-BUG-fix-wrong-masked-median-for-some-special-cases.patch
    - fix wrong masked median for some special cases; Closes: #851858

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Jan 2017 19:34:19 -0500

python-numpy (1:1.12.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - point directly to PyPI while pypi.debian.net is unavailable

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Jan 2017 12:15:17 -0500

python-numpy (1:1.12.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
    - let linspace accept input that has an array_interface: Closes: #842348
    - add a lock to assert_equal and other testing functions: Closes: #849196
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 22:37:36 -0500

python-numpy (1:1.12.0~b1-1) unstable; urgency=medium

  * New upstream beta release
  * debian/watch
    - use PyPI redirector, upstream declared PyPI the preferred way to retrieve
      Numpy tarball
  * debian/control
    - update X-Python{,3}-Version fields

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2016 21:40:13 -0500

python-numpy (1:1.11.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - remove Julian from Uploaders (to reflect reality): please come back as
      soon as you have more time!
    - set me to Maintainer, team as Uploaders

 -- Sandro Tosi <morph@debian.org>  Sat, 08 Oct 2016 19:48:11 -0400

python-numpy (1:1.11.2~rc1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release candidate

  [ Ondřej Nový ]
  * New upstream release
  * d/contorl: Removed XS-Testsuite
  * Fixed typo in dh_numpy (1) manpage
  * d/copyright: Fixed typo in word univer(s)ity
  * Removed lintian override for extra-license-file

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Sep 2016 19:54:04 +0100

=== debian/control ===
Source: python-numpy
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: cython,
               debhelper (>= 8.9.7~),
               dh-python,
               gfortran (>= 4:4.2),
               libblas-dev [!arm !m68k],
               liblapack-dev [!arm !m68k],
               python-all-dbg,
               python-all-dev,
               python-nose (>= 1.0),
               python-tz,
               python3-all-dbg,
               python3-all-dev,
               python3-nose (>= 1.0),
               python3-tz,
               python-setuptools,
               python3-setuptools,
Build-Depends-Indep: python-docutils,
                     python-matplotlib,
                     python-sphinx (>= 1.0.7+dfsg)
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-numpy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-numpy.git
Homepage: http://www.numpy.org/

Package: python-numpy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: gcc (>= 4:4.6.1-5),
          gfortran,
          python-dev,
          python-nose (>= 1.0),
          python-numpy-dbg,
          python-numpy-doc
Provides: python-f2py, python-numpy-dev, ${numpy:Provides}, ${python:Provides}
Description: Numerical Python adds a fast array facility to the Python language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.

Package: python-numpy-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-numpy (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: python-numpy (<< 1:1.7.1-1)
Replaces: python-numpy (<< 1:1.7.1-1)
Description: Fast array facility to the Python language (debug extension)
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-numpy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: gcc (>= 4:4.6.1-5),
          gfortran,
          python-numpy-doc,
          python3-dev,
          python3-nose (>= 1.0),
          python3-numpy-dbg
Provides: python3-f2py,
          python3-numpy-dev,
          ${numpy3:Provides},
          ${python3:Provides}
Description: Fast array facility to the Python 3 language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains Numpy for Python 3.

Package: python3-numpy-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-numpy (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: python3-numpy (<< 1:1.7.1-1)
Replaces: python3-numpy (<< 1:1.7.1-1)
Description: Fast array facility to the Python 3 language (debug extension)
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-numpy-doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Architecture: all
Description: NumPy documentation
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains documentation for Numpy and f2py.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

PY2VERS=$(shell pyversions -vr debian/control)
PY3VERS=$(shell py3versions -vr)
PYDEF=$(shell pyversions -dv)
PY3DEF=$(shell py3versions -dv)
PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")

# Look at #634012 to understand why is needed and what will happen if we set
# compat to 9
unexport LDFLAGS
export ATLAS=None

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	cd numpy/random/mtrand && python generate_mtrand_c.py
	dh_auto_build
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py build; \
		python$$v-dbg setup.py build; \
	done

override_dh_auto_clean:
	rm -rf build/
	rm -rf `find -name build -type d`
	rm -rf `find . -name "*.pyc" -type f`
	rm -rf doc/fontList.cache numpy/f2py/docs/usersguide/index.html
	rm -rf doc/source/reference/generated
	# cython generated
	rm -f numpy/random/mtrand/mtrand.c

override_dh_installman:
	dh_installman -ppython-numpy doc/f2py/f2py.1
	dh_installman -ppython3-numpy doc/f2py/f2py.1
	-mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
	  debian/python3-numpy/usr/share/man/man1/f2py3.1
	# link manpage for versioned and dbg incarnations of f2py
	set -e; for v in $(PY2VERS); do \
		dh_link -ppython-numpy /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
		dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
	done
	set -e; for v in $(PY3VERS); do \
		dh_link -ppython3-numpy /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
		dh_link -ppython3-numpy-dbg /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
	done
	dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py-dbg.1.gz;
	dh_link -ppython3-numpy-dbg /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py3-dbg.1.gz;

override_dh_install:
	# add shebang information to f2py script
	set -e; for v in $(PY2VERS) $(PY3VERS); do \
		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v," debian/tmp/usr/bin/f2py$$v; \
		cp -a debian/tmp/usr/bin/f2py$$v debian/tmp/usr/bin/f2py$$v-dbg ; \
		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v-dbg," debian/tmp/usr/bin/f2py$$v-dbg; \
	done
	# install unversioned f2py script
	cp -a debian/tmp/usr/bin/f2py$(PYDEF) debian/tmp/usr/bin/f2py
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python," debian/tmp/usr/bin/f2py
	cp -a debian/tmp/usr/bin/f2py$(PYDEF)-dbg debian/tmp/usr/bin/f2py-dbg
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python-dbg," debian/tmp/usr/bin/f2py-dbg

	cp -a debian/tmp/usr/bin/f2py$(PY3DEF) debian/tmp/usr/bin/f2py3
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python3," debian/tmp/usr/bin/f2py3
	cp -a debian/tmp/usr/bin/f2py$(PY3DEF)-dbg debian/tmp/usr/bin/f2py3-dbg
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python3-dbg," debian/tmp/usr/bin/f2py3-dbg

	dh_install

	# remove files installed from .install (that's due to the dir listed there)
	-find $(CURDIR)/debian/python-numpy/ -name "*_d.so" -delete

	# create symlinks for .h files
	dh_link -ppython-numpy usr/lib/python$(PYDEF)/dist-packages/numpy/core/include/numpy usr/include/numpy;
	set -e; for i in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-numpy/usr/include/python$$i ] || \
		mkdir -p $(CURDIR)/debian/python-numpy/usr/include/python$$i; \
		dh_link -ppython-numpy usr/lib/python$$i/dist-packages/numpy/core/include/numpy usr/include/python$$i/numpy; \
	done
	set -e; for i in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-numpy-dbg/usr/include/python$${i}_d ] || \
		mkdir -p $(CURDIR)/debian/python-numpy-dbg/usr/include/python$${i}_d; \
		dh_link -ppython-numpy-dbg usr/lib/python$$i/dist-packages/numpy/core/include/numpy usr/include/python$${i}_d/numpy; \
	done
	# Python 3
	set -e; for i in $(PY3VERS); do \
	ABITAG=`python$$i -c "import sys; print(sys.abiflags)"`; \
	[ -d $(CURDIR)/debian/python3-numpy/usr/include/python$$i$$ABITAG ] || \
		mkdir -p $(CURDIR)/debian/python3-numpy/usr/include/python$$i$$ABITAG; \
		dh_link -ppython3-numpy usr/lib/python3/dist-packages/numpy/core/include/numpy usr/include/python$$i$$ABITAG/numpy; \
	done
	set -e; for i in $(PY3VERS); do \
	ABITAG=`python$$i-dbg -c "import sys; print(sys.abiflags)"`; \
	[ -d $(CURDIR)/debian/python3-numpy-dbg/usr/include/python$${i}$$ABITAG ] || \
		mkdir -p $(CURDIR)/debian/python3-numpy-dbg/usr/include/python$${i}$$ABITAG; \
		dh_link -ppython3-numpy-dbg usr/lib/python3/dist-packages/numpy/core/include/numpy/ usr/include/python$${i}$$ABITAG/numpy; \
	done

	# share -dbg and normal package doc dirs
	rm -rf debian/python-numpy-dbg/usr/share/doc/python-numpy-dbg
	dh_link -ppython-numpy-dbg usr/share/doc/python-numpy usr/share/doc/python-numpy-dbg
	rm -rf debian/python3-numpy-dbg/usr/share/doc/python3-numpy-dbg
	dh_link -ppython3-numpy-dbg usr/share/doc/python3-numpy usr/share/doc/python3-numpy-dbg

override_dh_gencontrol:
	python debian/versions.helper >> debian/python-numpy.substvars
	python debian/versions3.helper >> debian/python3-numpy.substvars
	dh_gencontrol

override_dh_compress:
	dh_compress -X.js -Xobjects.inv -X.txt

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-numpy --dbg-package=python-numpy-dbg
	dh_strip -ppython3-numpy --dbg-package=python3-numpy-dbg
	# dh_strip seemingly doesn't catch the PEP 3149-style debug names
	rm debian/python3-numpy/usr/lib/python3*/*-packages/*/*/*.cpython-3?d*.so
endif


override_dh_python2:
	dh_python2 -v
	# avoid lintian autoreject
	-mv debian/python-numpy/usr/share/pyshared/numpy/core/lib/libnpymath.a \
		debian/python-numpy/usr/lib/python2.7/dist-packages/numpy/core/lib/libnpymath.a

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc -i

build: build-arch build-indep ;

build-arch:
	dh build --with=python2,python3


build-indep: 
	# build doc only for default python version
	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))

update_intersphinx_mapping:
	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv

override_dh_auto_install:
	dh_auto_install

	# Install for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
		python$$v-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

	# yes, we need to run tests after install
	# The reason is that numpy tries hard to not let you run it from the
	# source directory, so we need to mess with the import order so to
	# select the code in the installation path
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for v in $(PY2VERS) ; do \
		echo "-- running tests for "$$v" plain --" ; \
		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
		echo "-- running tests for "$$v" debug --" ; \
		python$$v-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
	done
	# Python 3.2 maps to python3/ dir alone? bah
	set -e; for v in $(PY3VERS) ; do \
		echo "-- running tests for "$$v" plain --" ; \
		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
		echo "-- running tests for "$$v" debug --" ; \
		python$$v-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
	done
endif

## python-numpy 1.13.3

=== doc/f2py/Makefile ===
# Makefile for compiling f2py2e documentation (dvi, ps, html)
# Pearu Peterson <pearu@ioc.ee>

REL=4
TOP = usersguide
LATEXSRC = bugs.tex  commands.tex  f2py2e.tex  intro.tex  notes.tex  signaturefile.tex
MAINLATEX = f2py2e

LATEX = latex
PDFLATEX = pdflatex

COLLECTINPUT = ./collectinput.py
INSTALLDATA = install -m 644 -c

TTH = tth
TTHFILTER = sed -e "s/{{}\\\verb@/\\\texttt{/g" | sed -e "s/@{}}/}/g" | $(TTH) -L$(MAINLATEX) -i
TTHFILTER2 = sed -e "s/{{}\\\verb@/\\\texttt{/g" | sed -e "s/@{}}/}/g" | $(TTH) -Lpython9 -i
TTHFILTER3 = sed -e "s/{{}\\\verb@/\\\texttt{/g" | sed -e "s/@{}}/}/g" | $(TTH) -Lfortranobject -i
TTHMISSING = "\
***************************************************************\n\
Warning:        Could not find tth (a TeX to HTML translator)  \n\
                or an error was arisen by tth\n\
You can download tth from http://hutchinson.belmont.ma.us/tth/  \n\
or\n\
use your favorite LaTeX to HTML translator on file tmp_main.tex\n\
***************************************************************\
"

all: dvi ps html clean
$(MAINLATEX).dvi: $(LATEXSRC)
	$(LATEX) $(MAINLATEX).tex
	$(LATEX) $(MAINLATEX).tex
	$(LATEX) $(MAINLATEX).tex
	$(PDFLATEX) $(MAINLATEX).tex
$(TOP).dvi: $(MAINLATEX).dvi
	cp -f $(MAINLATEX).dvi $(TOP).dvi
	mv -f $(MAINLATEX).pdf $(TOP).pdf
$(TOP).ps: $(TOP).dvi
	dvips $(TOP).dvi -o
$(TOP).html: $(LATEXSRC)
	$(COLLECTINPUT) < $(MAINLATEX).tex > tmp_$(MAINLATEX).tex
	@test `which $(TTH)` && cat tmp_$(MAINLATEX).tex | $(TTHFILTER) > $(TOP).html\
	 || echo -e $(TTHMISSING)
dvi: $(TOP).dvi
ps: $(TOP).ps
	gzip -f $(TOP).ps
html: $(TOP).html

python9:
	cp -f python9.tex f2python9-final/src/
	cd f2python9-final && mk_html.sh
	cd f2python9-final && mk_ps.sh
	cd f2python9-final && mk_pdf.sh
pyfobj:
	$(LATEX) fortranobject.tex
	$(LATEX) fortranobject.tex
	$(LATEX) fortranobject.tex
	@test `which $(TTH)` && cat fortranobject.tex | $(TTHFILTER3) > pyfobj.html\
	 || echo -e $(TTHMISSING)
	dvips fortranobject.dvi -o pyfobj.ps
	gzip -f pyfobj.ps
	pdflatex fortranobject.tex
	mv fortranobject.pdf pyfobj.pdf

WWWDIR=/net/cens/home/www/unsecure/projects/f2py2e/
wwwpage: all
	$(INSTALLDATA) index.html $(TOP).html $(TOP).ps.gz $(TOP).dvi $(TOP).pdf \
	Release-$(REL).x.txt ../NEWS.txt win32_notes.txt $(WWWDIR)
	$(INSTALLDATA) pyfobj.{ps.gz,pdf,html} $(WWWDIR)
	$(INSTALLDATA) f2python9-final/f2python9.{ps.gz,pdf,html} f2python9-final/{flow,structure,aerostructure}.jpg $(WWWDIR)
clean:
	rm -f tmp_$(MAINLATEX).* $(MAINLATEX).{aux,dvi,log,toc}
distclean:
	rm -f tmp_$(MAINLATEX).* $(MAINLATEX).{aux,dvi,log,toc}
	rm -f $(TOP).{ps,dvi,html,pdf,ps.gz}
	rm -f *~

=== debian/changelog ===
python-numpy (1:1.13.3-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Dec 2017 15:32:02 +0100

python-numpy (1:1.13.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unneeded debian/docs and debian/dirs.
  * debian/control:
    + Drop Build-Depends on python3.5-dev.  Closes: #883457
    + Bump Standards-Version to 4.1.2, no changes needed.
    + Add several Multi-Arch tags from the m-a hinter.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Dec 2017 22:14:48 +0100

python-numpy (1:1.13.3-1ubuntu2) bionic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - drop Python3.5 build dependency, removed in Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Nov 2017 20:51:59 +0100

python-numpy (1:1.13.3-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
     - Run the distutils autopkg test with allow-stderr restrictions.
     - Add build-essential to the python2 and python3 autopkg tests; tests
       trying to run a compiler.
     - Fix atlas and openblas tests for openblas and atlas multiarch
       locations.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Nov 2017 08:26:57 +0100

python-numpy (1:1.13.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.1.1 (no changes needed)
    - remove Prio: extra from debug packages
    - use py3k matplotlib in b-d-i, needed by doc
  * use python3-sphinx to build doc
  * debian/tests/*
    - fix autopkg test dependencies, and atlas and openblas test for multi-arch
      library locations; Closes: #876006
  * debian/rules
    - use the python3 library path to build the doc

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Nov 2017 12:09:11 -0500

python-numpy (1:1.13.3-0ubuntu1) bionic; urgency=medium

  * New upstream bug fix release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Nov 2017 16:04:17 +0100

python-numpy (1:1.13.1-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
     - Run the distutils autopkg test with allow-stderr restrictions.
     - Add build-essential to the python2 and python3 autopkg tests; tests
       trying to run a compiler.
     - Fix atlas and openblas tests for openblas and atlas multiarch
       locations.
  * Drop glibc build fix, upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Nov 2017 09:34:00 +0100

python-numpy (1:1.13.1-1) unstable; urgency=medium

  * New upstream release; Closes: #702169
  * debian/version
    - bump api and api-min-version
  * Acknowledge NMUs

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Sep 2017 21:22:47 -0400

python-numpy (1:1.12.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on the just rebuilt cython.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2017 07:45:52 +0200

python-numpy (1:1.12.1-3.1ubuntu4) artful; urgency=medium

  * Fix autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 14:19:29 +0200

python-numpy (1:1.12.1-3.1ubuntu3) artful; urgency=medium

  * Fix build with glibc-2.26.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 08:16:14 +0200

python-numpy (1:1.12.1-3.1ubuntu2) artful; urgency=medium

  * Fix atlas and openblas tests for openblas and atlas multiarch
    locations.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 07:58:51 +0200

python-numpy (1:1.12.1-3.1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Sep 2017 07:43:05 +0200

python-numpy (1:1.12.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * "No-change" upload to rebuild with pythonX.Y not using the _fpectl module.
  * Tighten the build dependencies for the pythonX.Y packages (can be dropped
    again once the pythonX.Y packages are available everywhere).

 -- Matthias Klose <doko@debian.org>  Fri, 01 Sep 2017 07:39:42 +0200

python-numpy (1:1.12.1-3ubuntu2) artful; urgency=medium

  * No-change rebuild against python3.6



=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-numpy
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: cython,
+Build-Depends: cython (>= 0.26-2.1),
                debhelper (>= 8.9.7~),
                dh-python,
                gfortran (>= 4:4.2),
@@ -19,12 +20,13 @@
                python3-tz,
                python-setuptools,
                python3-setuptools,
+               python2.7-dev (>= 2.7.14~rc1-1),
+               python3.6-dev (>= 3.6.2-3),
 Build-Depends-Indep: python-docutils,
-                     python-matplotlib,
-                     python-sphinx (>= 1.0.7+dfsg)
+                     python3-sphinx,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-numpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-numpy.git
 Homepage: http://www.numpy.org/
@@ -50,9 +52,9 @@
  software.
 
 Package: python-numpy-dbg
-Priority: extra
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: python-dbg,
          python-numpy (= ${binary:Version}),
          ${misc:Depends},
@@ -97,9 +99,9 @@
  This package contains Numpy for Python 3.
 
 Package: python3-numpy-dbg
-Priority: extra
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: python3-dbg,
          python3-numpy (= ${binary:Version}),
          ${misc:Depends},
@@ -122,6 +124,7 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Description: NumPy documentation
  Numpy contains a powerful N-dimensional array object, sophisticated
  (broadcasting) functions, tools for integrating C/C++ and Fortran

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 PYDEF=$(shell pyversions -dv)
 PY3DEF=$(shell py3versions -dv)
 PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
+PY3LIBPATH := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)")
 
 # Look at #634012 to understand why is needed and what will happen if we set
 # compat to 9
@@ -140,7 +141,7 @@
 
 build-indep: 
 	# build doc only for default python version
-	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))
+	(export MPLCONFIGDIR=. ; make -C doc html PYTHON=python3 PYTHONPATH=../$(PY3LIBPATH))
 
 update_intersphinx_mapping:
 	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv

=== debian/tests/control ===
Tests: python2
Depends: build-essential, python-numpy, python-all, python-nose, python-tz

Tests: python3
Depends: build-essential, python3-numpy, python3-all, python3-nose, python3-tz

#needs root for update-alternatives
Tests: openblas
Restrictions: needs-root
Depends: python-numpy, python-all, python-nose, python-tz, libopenblas-base, dpkg-dev, gcc

#needs root for update-alternatives
Tests: atlas
Restrictions: needs-root
Depends: python-numpy, python-all, python-nose, python-tz, libatlas3-base, dpkg-dev, gcc

Tests: f2py
Depends: build-essential, gfortran, python-numpy, python-numpy-dbg, python-all, python-all-dbg, python-all-dev, python3-numpy, python3-numpy-dbg, python3-all, python3-all-dbg, python3-all-dev

Tests: distutils
Restrictions: allow-stderr
Depends: build-essential, libfftw3-dev, python-numpy

Tests: capi
Depends: build-essential, python-all-dev, python-all-dbg, python3-all-dev, python3-all-dbg, python-numpy, python-numpy-dbg, python3-numpy, python3-numpy-dbg

=== debian/watch ===
#version=3
#opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
#https://pypi.debian.net/numpy/numpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
version=4
opts="pgpmode=none" \
    https://pypi.python.org/pypi/numpy/ \
    https://pypi.python.org/packages/.*/.*/.*/numpy-([\d\.]+).zip#.*

## python-numpy 1.14.5

=== debian/changelog ===
python-numpy (1:1.14.5-1ubuntu4) cosmic; urgency=medium

  * Don't add an explicit dependency on python3.7, the non-default
    python3 version. LP: #1789199.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Oct 2018 13:51:23 +0200

python-numpy (1:1.14.5-1ubuntu3) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:21:26 +0000

python-numpy (1:1.14.5-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 11:40:17 +0000

python-numpy (1:1.14.5-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Jun 2018 15:01:53 +0200

python-numpy (1:1.14.5-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jun 2018 19:33:00 -0400

python-numpy (1:1.14.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * New upstream release; Closes: #898776

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 21:02:36 -0400

python-numpy (1:1.14.3-2ubuntu2) cosmic; urgency=medium

  * Fix alignment issue causing FTBFS on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 29 May 2018 00:17:49 +0000

python-numpy (1:1.14.3-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 May 2018 14:13:15 +0200

python-numpy (1:1.14.3-2) unstable; urgency=medium

  * debian/control
    - move docutils, matplotlib, sphinx from b-d-i to b-d, needed to build doc

 -- Sandro Tosi <morph@debian.org>  Sat, 05 May 2018 18:57:59 -0400

python-numpy (1:1.14.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/rules: Remove trailing whitespaces

  [ Stuart Prescott ]
  * add debhelper sequence to support --with numpy,numpy3; Closes: #897602

  [ Sandro Tosi ]
  * New upstream release; Closes: #872459, #896633
  * debian/watch
    - switch back to use pypi.debian.net redirector
  * debian/patches
    - refresh for new upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/versions
    - bump API version to 12
  * debian/rules
    - comment f2py.1 installation, no longer available upstream (hopefully only
      temporarily)
  * bump compat to 11, and fix debian/rules to use proper dh sequencer
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/patches/0007-ENH-Add-support-for-the-64-bit-RISC-V-architecture.patch
    - add support for riscv64 architecture; Closes: #894574

 -- Sandro Tosi <morph@debian.org>  Sat, 05 May 2018 17:06:18 -0400

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,29 @@
 XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: cython (>= 0.26-2.1),
-               debhelper (>= 8.9.7~),
+               debhelper (>= 11),
                dh-python,
                gfortran (>= 4:4.2),
                libblas-dev [!arm !m68k],
                liblapack-dev [!arm !m68k],
+               python2.7-dev (>= 2.7.14~rc1-1),
+               python3.6-dev (>= 3.6.2-3),
                python-all-dbg,
+               python3-all-dbg,
                python-all-dev,
+               python3-all-dev,
+               python-docutils,
+               python3-matplotlib,
                python-nose (>= 1.0),
-               python-tz,
-               python3-all-dbg,
-               python3-all-dev,
                python3-nose (>= 1.0),
-               python3-tz,
                python-setuptools,
                python3-setuptools,
-               python2.7-dev (>= 2.7.14~rc1-1),
-               python3.6-dev (>= 3.6.2-3),
-Build-Depends-Indep: python-docutils,
-                     python3-sphinx,
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-numpy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-numpy.git
+               python3-sphinx,
+               python-tz,
+               python3-tz,
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-numpy.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-numpy
 Homepage: http://www.numpy.org/
 
 Package: python-numpy

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,9 @@
 		python$$v-dbg setup.py build; \
 	done
 
+	# build doc only for default python version
+	(export MPLCONFIGDIR=. ; make -C doc html PYTHON=python3 PYTHONPATH=../$(PY3LIBPATH))
+
 override_dh_auto_clean:
 	rm -rf build/
 	rm -rf `find -name build -type d`
@@ -34,22 +37,22 @@
 	# cython generated
 	rm -f numpy/random/mtrand/mtrand.c
 
-override_dh_installman:
-	dh_installman -ppython-numpy doc/f2py/f2py.1
-	dh_installman -ppython3-numpy doc/f2py/f2py.1
-	-mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
-	  debian/python3-numpy/usr/share/man/man1/f2py3.1
-	# link manpage for versioned and dbg incarnations of f2py
-	set -e; for v in $(PY2VERS); do \
-		dh_link -ppython-numpy /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
-		dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
-	done
-	set -e; for v in $(PY3VERS); do \
-		dh_link -ppython3-numpy /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
-		dh_link -ppython3-numpy-dbg /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
-	done
-	dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py-dbg.1.gz;
-	dh_link -ppython3-numpy-dbg /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py3-dbg.1.gz;
+#override_dh_installman:
+#	dh_installman -ppython-numpy doc/f2py/f2py.1
+#	dh_installman -ppython3-numpy doc/f2py/f2py.1
+#	-mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
+#	  debian/python3-numpy/usr/share/man/man1/f2py3.1
+#	# link manpage for versioned and dbg incarnations of f2py
+#	set -e; for v in $(PY2VERS); do \
+#		dh_link -ppython-numpy /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
+#		dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
+#	done
+#	set -e; for v in $(PY3VERS); do \
+#		dh_link -ppython3-numpy /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
+#		dh_link -ppython3-numpy-dbg /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
+#	done
+#	dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py-dbg.1.gz;
+#	dh_link -ppython3-numpy-dbg /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py3-dbg.1.gz;
 
 override_dh_install:
 	# add shebang information to f2py script
@@ -129,19 +132,13 @@
 	-mv debian/python-numpy/usr/share/pyshared/numpy/core/lib/libnpymath.a \
 		debian/python-numpy/usr/lib/python2.7/dist-packages/numpy/core/lib/libnpymath.a
 
+override_dh_python3:
+	dh_python3 -v
+	sed -i 's/python3\.7[^ ]*,//' debian/python3-numpy.substvars
+
 override_dh_installdocs-indep:
 	dh_installdocs -i
 	dh_sphinxdoc -i
-
-build: build-arch build-indep ;
-
-build-arch:
-	dh build --with=python2,python3
-
-
-build-indep: 
-	# build doc only for default python version
-	(export MPLCONFIGDIR=. ; make -C doc html PYTHON=python3 PYTHONPATH=../$(PY3LIBPATH))
 
 update_intersphinx_mapping:
 	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv
